import { createApp } from 'vue'
import { Quasar } from 'quasar'
import axios from 'axios';


import quasarLang from 'quasar/lang/ru'
import quasarIconSet from 'quasar/icon-set/mdi-v7'

// Import icon libraries
import '@quasar/extras/roboto-font/roboto-font.css'
import '@quasar/extras/material-icons/material-icons.css'
import '@quasar/extras/mdi-v7/mdi-v7.css'

// Import Quasar css
import 'quasar/dist/quasar.css'

// Assumes your root component is App.vue
// and placed in same folder as main.js
import App from './App.vue'
import store from './store';

const myApp = createApp(App)

axios.defaults.withCredentials = true;
axios.defaults.baseURL = 'http://localhost:8000/';

myApp.use(Quasar, {
    plugins: {}, // import Quasar plugins and add here
    lang: quasarLang,
    iconSet: quasarIconSet,
    config: {
        dark: "auto"
    }
})


myApp.use(store)
// Assumes you have a <div id="app"></div> in your index.html
myApp.mount('#app')