import axios from 'axios';

const state = {
    loginError: false,
};

const getters = {
    isAuthenticated: state => !!state.user,
    stateUser: state => state.user,
};

const actions = {
    async logIn({dispatch}, userForm){
        await axios.post('login', userForm);
        await dispatch('getCurrentUserInfo')
    },

    async getCurrentUserInfo({commit}){
        let {data} = await axios.get('/getCurrentUserInfo');
        console.log(data)
        await commit('setUser', data);
    }
}

const mutations = {
    setUser(state, username) {
        state.user = username;
    },
    logout(state, user){
        state.user = user;
    },
};

export default {
    state,
    getters,
    actions,
    mutations
};